#
# spec file for package pure-ftpd (Version 1.0.12)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openldap2-client openldap2-devel openssl
# usedforbuild    aaa_base aaa_dir aaa_version base bash bindutil bison bzip cpio cpp cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam-devel pam-modules patch ps rcs readline sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim autoconf automake binutils cracklib gcc gdbm gettext heimdal-lib libtool libz openldap2-client openldap2-devel openssl pam perl rpm

Name:         pure-ftpd
Version:      1.0.12
Release:      73
URL:          http://www.pureftpd.org
Source:       ftp://download.sourceforge.net/pub/sourceforge/pureftpd/%{name}-%{version}.tar.bz2
Source1:      pure-ftpd.init
Source2:      pure-ftpd.pamd
Patch:        %{name}-%{version}.dif
Group:        Productivity/Networking/Ftp/Servers
License:      GPL
Provides:     ftp-server pureftpd
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Lightweight, fast and secure FTP server

%description
Pure-FTPd is a fast, production-quality, standard-comformant FTP server,
based upon Troll-FTPd. Unlike other popular FTP servers, it has no known
security flaw, it is really trivial to set up and it is especially designed
for modern Linux kernels (setfsuid, sendfile, capabilities) .
Features include PAM support, IPv6, chroot()ed home directories, virtual
domains, built-in LS, anti-warez system, bandwidth throttling, FXP, bounded
ports for passive downloads, UL/DL ratios, Apache log files and more.

SuSE series: n

%prep
%setup
%patch -p1

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} --with-ldap \
	--with-paranoidmsg --with-altlog --with-virtualhosts --with-ftpwho \
	--with-cookie --with-throttling --with-ratios --with-uploadscript --with-pam \
	--with-puredb --with-quotas --with-largefile %{_target_cpu}-suse-linux
make
cat configuration-file/pure-config.pl |grep -v "^print" | grep -v "^exec" > configuration-file/pure-config-args
echo "print join(\" \", @flg);" >> configuration-file/pure-config-args

%install
rm -rf "$RPM_BUILD_ROOT"
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT%{_prefix}/sbin
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
mkdir -p $RPM_BUILD_ROOT/etc/pam.d
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man8
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/init.d
install -m 755 configuration-file/pure-config.pl $RPM_BUILD_ROOT%{_prefix}/sbin
install -m 755 configuration-file/pure-config-args $RPM_BUILD_ROOT%{_prefix}/sbin
install -m 644 configuration-file/pure-ftpd.conf $RPM_BUILD_ROOT%{_sysconfdir}
install -m 755 $RPM_SOURCE_DIR/pure-ftpd.init $RPM_BUILD_ROOT/%{_sysconfdir}/init.d/pure-ftpd
ln -sf ../../etc/init.d/pure-ftpd $RPM_BUILD_ROOT/%{_prefix}/sbin/rcpure-ftpd
install -m 644 $RPM_SOURCE_DIR/pure-ftpd.pamd $RPM_BUILD_ROOT/etc/pam.d/pure-ftpd

%clean
rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-, root, root)
%doc AUTHORS CONTACT COPYING NEWS THANKS README README.Contrib README.Configuration-File HISTORY README.Netfilter README.Virtual-Users
%attr (0755, root, root) %{_prefix}/bin/*
%attr (0755, root, root) %{_prefix}/sbin/*
%attr (0755, root, root) %config %{_sysconfdir}/init.d/pure-ftpd
%attr (0644, root, root) %config /etc/pam.d/pure-ftpd
%attr (0644, root, root) %doc %{_mandir}/man8/*
%attr (0644, root, root) %config(noreplace) %{_sysconfdir}/pure-ftpd.conf

%changelog -n pure-ftpd
* Fri Oct 04 2002 - ckm@suse.de
- Update to version 1.0.12 to fix minor rename bug, Sourceforge
  Tracker ID #510413
- Changed default config file to only allow ro anonymous logins,
  and tightened security in case writing is enabled.
* Mon Mar 11 2002 - kukuk@suse.de
- Fix permissions
* Sat Feb 16 2002 - kukuk@suse.de
- Fix print arguments [Bug #13389]
* Mon Feb 11 2002 - ro@suse.de
- flgs in perl-config parser is an array
* Thu Jan 24 2002 - kukuk@suse.de
- Update to version 1.0.8
- Compile with LDAP support
* Thu Nov 29 2001 - kukuk@suse.de
- Add pam config file
- Cleanup example config file
* Thu Nov 22 2001 - kukuk@suse.de
- Update to 1.0.3 (rename and quota fixes)
* Thu Nov 01 2001 - kukuk@suse.de
- Initial release of a secure ftp server with LFS
